From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/lualdap/
Date: Wed, 23 Mar 2022 01:02:13 +0000 (UTC) [thread overview]
Message-ID: <1647997227.2c39de081befb0aa4e6f16ddc9f8255938b4c813.sam@gentoo> (raw)
commit: 2c39de081befb0aa4e6f16ddc9f8255938b4c813
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 23 01:00:27 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 23 01:00:27 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c39de08
dev-lua/lualdap: fix definition of src_test/src_install
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-lua/lualdap/lualdap-1.3.0-r2.ebuild | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/dev-lua/lualdap/lualdap-1.3.0-r2.ebuild b/dev-lua/lualdap/lualdap-1.3.0-r2.ebuild
index bd92eaf88080..1abb207ea041 100644
--- a/dev-lua/lualdap/lualdap-1.3.0-r2.ebuild
+++ b/dev-lua/lualdap/lualdap-1.3.0-r2.ebuild
@@ -50,7 +50,7 @@ lua_src_compile() {
emake "${myemakeargs[@]}"
- popd
+ popd || die
}
src_compile() {
@@ -59,11 +59,11 @@ src_compile() {
lua_src_test() {
pushd "${BUILD_DIR}" || die
- LUA_CPATH="./src/?.so" ${ELUA} tests/test.lua
- popd
+ LUA_CPATH="./src/?.so" ${ELUA} tests/test.lua || die
+ popd || die
}
-src_install() {
+src_test() {
lua_foreach_impl lua_src_test
}
@@ -80,7 +80,7 @@ lua_src_install() {
emake "${myemakeargs[@]}" install
- popd
+ popd || die
}
src_install() {
next reply other threads:[~2022-03-23 1:02 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-23 1:02 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-22 20:01 [gentoo-commits] repo/gentoo:master commit in: dev-lua/lualdap/ Conrad Kostecki
2023-12-12 22:16 Conrad Kostecki
2023-12-12 22:16 Conrad Kostecki
2023-11-12 0:24 Conrad Kostecki
2023-04-19 1:07 Sam James
2023-04-19 1:07 Sam James
2023-03-15 11:39 Conrad Kostecki
2022-04-17 15:07 Conrad Kostecki
2022-04-17 15:07 Conrad Kostecki
2022-03-23 1:02 Sam James
2022-03-19 15:54 Conrad Kostecki
2021-06-23 19:14 Conrad Kostecki
2021-06-23 19:14 Conrad Kostecki
2021-05-31 17:49 David Seifert
2021-04-20 21:20 Sergei Trofimovich
2021-04-19 18:32 Sergei Trofimovich
2021-03-28 19:27 Conrad Kostecki
2021-03-28 19:27 Conrad Kostecki
2021-03-16 17:37 Conrad Kostecki
2021-03-16 17:37 Conrad Kostecki
2021-01-27 19:48 Conrad Kostecki
2020-12-01 23:54 Conrad Kostecki
2020-12-01 23:54 Conrad Kostecki
2018-05-18 12:34 Aaron Bauman
2016-02-18 22:30 Jason Donenfeld
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1647997227.2c39de081befb0aa4e6f16ddc9f8255938b4c813.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox